## python-polyfactory 2.18.1

=== Makefile ===
SHELL := /bin/bash
# =============================================================================
# Variables
# =============================================================================

.DEFAULT_GOAL:=help
.ONESHELL:
USING_PDM       =  $(shell grep "tool.pdm" pyproject.toml && echo "yes")
ENV_PREFIX      := $(shell if [ -d .venv ]; then echo ".venv/bin/"; fi)
VENV_EXISTS     := $(shell if [ -d .venv ]; then echo "yes"; fi)
PDM_OPTS        ?=
PDM             ?= pdm $(PDM_OPTS)

.EXPORT_ALL_VARIABLES:


.PHONY: help
help: 		   										## Display this help text for Makefile
	@awk 'BEGIN {FS = ":.*##"; printf "\nUsage:\n  make \033[36m<target>\033[0m\n"} /^[a-zA-Z0-9_-]+:.*?##/ { printf "  \033[36m%-15s\033[0m %s\n", $$1, $$2 } /^##@/ { printf "\n\033[1m%s\033[0m\n", substr($$0, 5) } ' $(MAKEFILE_LIST)

.PHONY: upgrade
upgrade:       										## Upgrade all dependencies to the latest stable versions
	@echo "=> Updating all dependencies"
	@if [ "$(USING_PDM)" ]; then $(PDM) update; fi
	@echo "=> Dependencies Updated"
	@$(ENV_PREFIX)pre-commit autoupdate
	@echo "=> Updated Pre-commit"

# =============================================================================
# Developer Utils
# =============================================================================
.PHONY: install-pdm
install-pdm: 										## Install latest version of PDM
	@curl -sSLO https://pdm.fming.dev/install-pdm.py && \
	curl -sSL https://pdm.fming.dev/install-pdm.py.sha256 | shasum -a 256 -c - && \
	python3 install-pdm.py

.PHONY: install
install:											## Install the project, dependencies, and pre-commit for local development
	@if ! $(PDM) --version > /dev/null; then echo '=> Installing PDM'; $(MAKE) install-pdm; fi
	@if [ "$(VENV_EXISTS)" ]; then echo "=> Removing existing virtual environment"; fi
	if [ "$(VENV_EXISTS)" ]; then $(MAKE) destroy; fi
	if [ "$(VENV_EXISTS)" ]; then $(MAKE) clean; fi
	@if [ "$(USING_PDM)" ]; then $(PDM) config venv.in_project true && python3 -m venv --copies .venv && . $(ENV_PREFIX)/activate && $(ENV_PREFIX)/pip install --quiet -U wheel setuptools cython pip; fi
	@if [ "$(USING_PDM)" ]; then $(PDM) install -G:all; fi
	@echo "=> Installing pre-commit hooks"
	pre-commit install --install-hooks
	@echo "=> Install complete! Note: If you want to re-install re-run 'make install'"

.PHONY: clean
clean: 												## Cleanup temporary build artifacts
	@echo "=> Cleaning working directory"
	@rm -rf .pytest_cache .ruff_cache .hypothesis build/ -rf dist/ .eggs/
	@find . -name '*.egg-info' -exec rm -rf {} +
	@find . -name '*.egg' -exec rm -f {} +
	@find . -name '*.pyc' -exec rm -f {} +
	@find . -name '*.pyo' -exec rm -f {} +
	@find . -name '*~' -exec rm -f {} +
	@find . -name '__pycache__' -exec rm -rf {} +
	@find . -name '.ipynb_checkpoints' -exec rm -rf {} +
	@rm -rf .coverage coverage.xml coverage.json htmlcov/ .pytest_cache tests/.pytest_cache tests/**/.pytest_cache .mypy_cache
	$(MAKE) docs-clean

.PHONY: destroy
destroy: 											## Destroy the virtual environment
	@rm -rf .venv

.PHONY: refresh-lockfiles
refresh-lockfiles:                                 ## Sync lockfiles with requirements files.
	pdm update --update-reuse --group :all

.PHONY: lock
lock:                                             ## Rebuild lockfiles from scratch, updating all dependencies
	pdm update --update-eager --group :all

# =============================================================================
# Tests, Linting, Coverage
# =============================================================================
.PHONY: lint
lint: 												## Runs pre-commit hooks; includes ruff linting, ruff formatting, codespell
	@echo "=> Running pre-commit process"
	@$(ENV_PREFIX)pre-commit run --all-files
	@echo "=> Pre-commit complete"

.PHONY: coverage
coverage:  											## Run the tests and generate coverage report
	@echo "=> Running tests with coverage"
	@$(ENV_PREFIX)pytest tests --cov=polyfactory
	@$(ENV_PREFIX)coverage html
	@$(ENV_PREFIX)coverage xml
	@echo "=> Coverage report generated"

.PHONY: test
test:  												## Run the tests
	@echo "=> Running test cases"
	@$(ENV_PREFIX)pytest tests
	@echo "=> Tests complete"

.PHONY: test-examples
test-examples:            			              	## Run the examples tests
	pytest docs/examples

.PHONY: test-all
test-all: test test-examples 						## Run all tests

.PHONY: check-all
check-all: lint test-all coverage 					## Run all linting, tests, and coverage checks

# =============================================================================
# Docs
# =============================================================================
.PHONY: docs-install
docs-install: 										## Install docs dependencies
	@echo "=> Installing documentation dependencies"
	@$(PDM) install --group docs
	@echo "=> Installed documentation dependencies"

docs-clean: 										## Dump the existing built docs
	@echo "=> Cleaning documentation build assets"
	@rm -rf docs/_build
	@echo "=> Removed existing documentation build assets"

docs-serve: docs-clean 								## Serve the docs locally
	@echo "=> Serving documentation"
	$(ENV_PREFIX)sphinx-autobuild docs docs/_build/ -j auto --watch polyfactory --watch docs --watch tests --watch CONTRIBUTING.rst --port 8002

docs: docs-clean 									## Dump the existing built docs and rebuild them
	@echo "=> Building documentation"
	@$(ENV_PREFIX)sphinx-build -M html docs docs/_build/ -E -a -j auto --keep-going

changelog:
	@echo "=> Generating changelog"
	@$(ENV_PREFIX)git-cliff -c pyproject.toml -o docs/changelog.rst --github-repo litestar-org/polyfactory --github-token $(GITHUB_TOKEN)

=== debian/changelog ===
python-polyfactory (2.18.1-1) unstable; urgency=medium

  * [9c89b91] New upstream version 2.18.1
  * [035a345] First and basic Debianization
    (Closes: #1092011)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 05 Mar 2025 17:30:37 +0200

=== debian/control ===
Source: python-polyfactory
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>,
 Kathara Sasikumar <katharasasikumar007@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 python3-all,
Build-Depends-Indep:
 faker <!nocheck>,
 faker-doc <!nodoc>,
 pybuild-plugin-pyproject,
 python-msgspec-doc <!nodoc>,
 python-pytest-doc <!nodoc>,
 python3-aiosqlite <!nocheck>,
 python3-annotated-types <!nocheck>,
 python3-auto-pytabs <!nodoc>,
 python3-beanie <!nocheck>,
 python3-bson <!nocheck>,
 python3-doc <!nodoc>,
 python3-hatchling,
 python3-hypothesis <!nocheck>,
 python3-msgspec <!nocheck>,
 python3-pydantic <!nocheck>,
 python3-pymongo <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-sphinx <!nodoc>,
 python3-sphinx-autobuild <!nodoc>,
 python3-sphinx-copybutton <!nodoc>,
 python3-sphinx-design <!nodoc>,
 python3-sphinx-paramlinks <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
## git-cliff??? <!nodoc>,
 python3-sphinx-togglebutton <!nodoc>,
 python3-sphinx-toolbox <!nodoc>,
 python3-sqlalchemy <!nocheck>,
## litestar-sphinx-theme <!nodoc>,
Standards-Version: 4.7.0
Homepage: https://github.com/litestar-org/polyfactory
Vcs-Git: https://salsa.debian.org/python-team/packages/python-polyfactory.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-polyfactory
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python-polyfactory-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Simple and powerful factories for mock data generation (Documentation)
 Polyfactory is a simple and powerful mock data generation library, based
 around type hints and supporting dataclasses, typed-dicts, pydantic models,
 msgspec structs and more.
 .
 Polyfactory is part of the Litestar project and as such actively maintained
 by a community of maintainers and contributors.
 .
 This package contains the documentation for python3-polyfactory.

Package: python3-polyfactory
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-polyfactory-doc,
 python3-beanie,
 python3-bson,
 python3-msgspec,
 python3-odmantic,
 python3-pydantic,
 python3-sqlalchemy,
Description: Simple and powerful factories for mock data generation (Python 3)
 Polyfactory is a simple and powerful mock data generation library, based
 around type hints and supporting dataclasses, typed-dicts, pydantic models,
 msgspec structs and more.
 .
 Polyfactory is part of the Litestar project and as such actively maintained
 by a community of maintainers and contributors.
 .
 Note that you will need to install additional packages depending on the type
 of factories you want to use! Have a look at the Suggests field.
 .
 This package contains the Python 3 version.

=== debian/tests/control ===
Tests:
 upstream-tests,
Depends:
 faker,
 python3-aiosqlite,
 python3-all,
 python3-annotated-types,
 python3-beanie,
 python3-bson,
 python3-hypothesis,
 python3-msgspec,
 python3-pydantic,
 python3-pymongo,
 python3-pytest,
 python3-pytest-asyncio,
 python3-sqlalchemy,
 @,
Restrictions:
 allow-stderr,

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      pgpmode=none, \
      uversionmangle=s/(\d)[_\.\-\+]?((alpha|beta|post|pre|dev|RC|rc)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/litestar-org/polyfactory.git \
      refs/tags/@ANY_VERSION@

## python-polyfactory 2.21.0

=== debian/changelog ===
python-polyfactory (2.21.0-1) unstable; urgency=medium

  * [c9a186a] New upstream version 2.21.0
  * [80a1ade] Rebuild patch queue from patch-queue branch
    Removed patch (included upstream):
    fix-make-type-alias-detection-work-with-typing_extensions.patch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 22 Apr 2025 20:34:10 +0200

python-polyfactory (2.20.0-2) unstable; urgency=medium

  * [5dbb547] Rebuild patch queue from patch-queue branch
    Added patch:
    fix-make-type-alias-detection-work-with-typing_extensions.patch
    (Closes: #1101863)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 06 Apr 2025 08:09:21 +0200

python-polyfactory (2.20.0-1) unstable; urgency=medium

  * [462b20e] New upstream version 2.20.0
  * [c66729c] autopkgtest: Restrict tests to 64bit and LE architectures

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 25 Mar 2025 17:00:13 +0200

python-polyfactory (2.19.0-1) unstable; urgency=medium

  * [e2990eb] New upstream version 2.19.0
  * [5ec4d00] d/salsa-ci.yml: Add a Salsa CI config
  * [7761674] d/control: Bump Standards-Version to 4.7.2
    No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 13 Mar 2025 16:03:06 +0200

=== debian/control ===
--- 
+++ 
@@ -40,7 +40,7 @@
  python3-sphinx-toolbox <!nodoc>,
  python3-sqlalchemy <!nocheck>,
 ## litestar-sphinx-theme <!nodoc>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/litestar-org/polyfactory
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-polyfactory.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-polyfactory

## python-polyfactory 2.22.2

=== Makefile ===
SHELL := /bin/bash
# =============================================================================
# Variables
# =============================================================================

.DEFAULT_GOAL:=help
.EXPORT_ALL_VARIABLES:


.PHONY: help
help: 		   										## Display this help text for Makefile
	@awk 'BEGIN {FS = ":.*##"; printf "\nUsage:\n  make \033[36m<target>\033[0m\n"} /^[a-zA-Z0-9_-]+:.*?##/ { printf "  \033[36m%-15s\033[0m %s\n", $$1, $$2 } /^##@/ { printf "\n\033[1m%s\033[0m\n", substr($$0, 5) } ' $(MAKEFILE_LIST)

.PHONY: upgrade
upgrade:       										## Upgrade all dependencies to the latest stable versions
	@echo "=> Updating all dependencies"
	@uv sync --upgrade
	@echo "=> Dependencies Updated"
	@uv run pre-commit autoupdate
	@echo "=> Updated Pre-commit"

# =============================================================================
# Developer Utils
# =============================================================================
.PHONY: install
install:											## Install the project, dependencies, and pre-commit for local development
	@if [ "$(VENV_EXISTS)" ]; then echo "=> Removing existing virtual environment"; fi
	if [ "$(VENV_EXISTS)" ]; then $(MAKE) destroy; fi
	if [ "$(VENV_EXISTS)" ]; then $(MAKE) clean; fi
	@uv sync --all-extras
	@echo "=> Installing pre-commit hooks"
	pre-commit install --install-hooks
	@echo "=> Install complete! Note: If you want to re-install re-run 'make install'"

.PHONY: clean
clean: 												## Cleanup temporary build artifacts
	@echo "=> Cleaning working directory"
	@rm -rf .pytest_cache .ruff_cache .hypothesis build/ dist/ .eggs/ .egg/
	@find . -name '*.egg-info' -exec rm -rf {} +
	@find . -name '*.pyc' -exec rm -f {} +
	@find . -name '*.pyo' -exec rm -f {} +
	@find . -name '*~' -exec rm -f {} +
	@find . -name '__pycache__' -exec rm -rf {} +
	@find . -name '.ipynb_checkpoints' -exec rm -rf {} +
	@rm -rf .coverage coverage.xml coverage.json htmlcov/ .pytest_cache tests/.pytest_cache tests/**/.pytest_cache .mypy_cache
	$(MAKE) docs-clean

.PHONY: destroy
destroy: 											## Destroy the virtual environment
	@rm -rf .venv

.PHONY: lock
lock:                                             ## Rebuild lockfiles from scratch, updating all dependencies
	@uv lock

.PHONY: release
release:
	./tools/prepare-release.sh

# =============================================================================
# Tests, Linting, Coverage
# =============================================================================
.PHONY: lint
lint: 												## Runs pre-commit hooks; includes ruff linting, ruff formatting, codespell
	@echo "=> Running pre-commit process"
	@uv run pre-commit run --all-files
	@echo "=> Pre-commit complete"

.PHONY: coverage
coverage:  											## Run the tests and generate coverage report
	@echo "=> Running tests with coverage"
	@uv run pytest tests --cov=polyfactory
	@uv run coverage html
	@uv run coverage xml
	@echo "=> Coverage report generated"

.PHONY: test
test:  												## Run the tests
	@echo "=> Running test cases"
	@uv run pytest tests
	@echo "=> Tests complete"

.PHONY: test-examples
test-examples:            			              	## Run the examples tests
	@uv run pytest docs/examples

.PHONY: test-all
test-all: test test-examples 						## Run all tests

.PHONY: check-all
check-all: lint test-all coverage 					## Run all linting, tests, and coverage checks

# =============================================================================
# Docs
# =============================================================================
.PHONY: docs-install
docs-install: 										## Install docs dependencies
	@echo "=> Installing documentation dependencies"
	@uv sync --group docs
	@echo "=> Installed documentation dependencies"

docs-clean: 										## Dump the existing built docs
	@echo "=> Cleaning documentation build assets"
	@rm -rf docs/_build
	@echo "=> Removed existing documentation build assets"

docs-serve: docs-clean 								## Serve the docs locally
	@echo "=> Serving documentation"
	@uv run sphinx-autobuild docs docs/_build/ -j auto --watch polyfactory --watch docs --watch tests --watch CONTRIBUTING.rst --port 8002

docs: docs-clean 									## Dump the existing built docs and rebuild them
	@echo "=> Building documentation"
	@uv run sphinx-build -M html docs docs/_build/ -E -a -j auto --keep-going

=== debian/changelog ===
python-polyfactory (2.22.2-2) unstable; urgency=medium

  * Team upload.
  * [89a7b21] d/control: Drop <!nocheck> from faker. Closes: #1116869.
  * [bd3e677] d/control: Drop "Rules-Requires-Root: no" (default).

 -- Santiago Vila <sanvila@debian.org>  Wed, 08 Oct 2025 10:30:00 +0200

python-polyfactory (2.22.2-1) unstable; urgency=medium

  * [8b27137] d/watch: Convert to version 5
  * [b6a5a4d] New upstream version 2.22.2

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 26 Aug 2025 16:39:50 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  dh-sequence-sphinxdoc <!nodoc>,
  python3-all,
 Build-Depends-Indep:
- faker <!nocheck>,
+ faker,
  faker-doc <!nodoc>,
  pybuild-plugin-pyproject,
  python-msgspec-doc <!nodoc>,
@@ -45,7 +45,6 @@
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-polyfactory.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-polyfactory
 Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
 
 Package: python-polyfactory-doc
 Section: doc

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

SPHINXOPTS := -E -N

export PYBUILD_NAME=polyfactory
# test_beanie_factory.py requires https://github.com/michaelkryukov/mongomock_motor gets packaged
export PYBUILD_TEST_ARGS=\
 --ignore tests/test_beanie_factory.py \
 -k 'not test_optional_url_field_parsed_correctly \
 and not test_type_property_parsing \
'

%:
	dh $@ --buildsystem=pybuild

override_dh_clean:
	rm -rf .mypy_cache .pytest_cache debian/.cache
	dh_clean

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	HOME=$(CURDIR)/debian \
	PYTHONPATH=`dirname $$(find .pybuild/ -type d -name "$(PYBUILD_NAME)*dist-info" | head -n1)` \
	    python3 -m sphinx -b html $(SPHINXOPTS) docs $(CURDIR)/debian/python-$(PYBUILD_NAME)-doc/usr/share/doc/python-$(PYBUILD_NAME)-doc/html
	dh_sphinxdoc
endif

override_dh_compress:
	dh_compress -X changelog.html

=== debian/tests/control ===
--- 
+++ 
@@ -17,3 +17,5 @@
  @,
 Restrictions:
  allow-stderr,
+Architecture:
+ amd64 arm64 ppc64el riscv64

=== debian/watch ===
Version: 5

Source: https://github.com/litestar-org/polyfactory.git
Matching-Pattern: refs/tags/@ANY_VERSION@
Compression: gz
Dversionmangle: s/\+ds(\.?\d+)?$//
Mode: git
Pgpmode: none
Uversionmangle: s/(\d)[_\.\-\+]?((alpha|beta|post|pre|dev|RC|rc)\.?\d*)$/$1~$2/

## python-polyfactory 3.0.0

=== debian/changelog ===
python-polyfactory (3.0.0-1) unstable; urgency=medium

  * [3ddb6a8] New upstream version 3.0.0
  * [fd0c197] Rebuild patch queue from patch-queue branch
    Adjusted patches:
    docs-Use-sphinx_rtd_theme-as-html_theme.patch
    docs-index.rst-Don-t-use-external-linking-to-graphics.patch
    docs-index.rst-Use-local-available-graphic.patch
    Dropped patch:
    docs-Ignore-file-versioning.js.patch
  * [6ba4823] d/control: Drop commented out build-deps
  * [72ab58d] d/README.source: Some small updates
  * [4c52b2d] d/control: Move python3-attr to Recommends
  * [6703905] autopkgtest: Add python-attr as an env dep
  * [0f51b87] d/salsa-ci.yml: Adjust the CI config

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 20 Nov 2025 18:02:15 +0200

python-polyfactory (2.22.2-3) unstable; urgency=medium

  * Team upload.
  * Add depedency on python3-attr

 -- Alexandre Detiste <tchet@debian.org>  Sun, 16 Nov 2025 19:09:02 +0100

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
  python-pytest-doc <!nodoc>,
  python3-aiosqlite <!nocheck>,
  python3-annotated-types <!nocheck>,
+ python3-attr <!nocheck>,
  python3-auto-pytabs <!nodoc>,
  python3-beanie <!nocheck>,
  python3-bson <!nocheck>,
@@ -35,11 +36,9 @@
  python3-sphinx-design <!nodoc>,
  python3-sphinx-paramlinks <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
-## git-cliff??? <!nodoc>,
  python3-sphinx-togglebutton <!nodoc>,
  python3-sphinx-toolbox <!nodoc>,
  python3-sqlalchemy <!nocheck>,
-## litestar-sphinx-theme <!nodoc>,
 Standards-Version: 4.7.2
 Homepage: https://github.com/litestar-org/polyfactory
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-polyfactory.git
@@ -70,6 +69,7 @@
  ${python3:Depends},
 Suggests:
  python-polyfactory-doc,
+ python3-attr,
  python3-beanie,
  python3-bson,
  python3-msgspec,

## python-polyfactory 3.1.0

=== debian/changelog ===
python-polyfactory (3.1.0-1) unstable; urgency=medium

  * [4848858] New upstream version 3.1.0
  * [370fd0b] d/control: Set versioned B-D on python3-msgspec
  * [eafb444] d/control: Also set version on suggested python3-msgspec

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 29 Nov 2025 16:52:56 +0200

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
  python3-doc <!nodoc>,
  python3-hatchling,
  python3-hypothesis <!nocheck>,
- python3-msgspec <!nocheck>,
+ python3-msgspec (>= 0.20.0) <!nocheck>,
  python3-pydantic <!nocheck>,
  python3-pymongo <!nocheck>,
  python3-pytest <!nocheck>,
@@ -72,7 +72,7 @@
  python3-attr,
  python3-beanie,
  python3-bson,
- python3-msgspec,
+ python3-msgspec (>= 0.20.0),
  python3-odmantic,
  python3-pydantic,
  python3-sqlalchemy,

## python-polyfactory 3.2.0

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	@echo "=> Updating all dependencies"
 	@uv sync --upgrade
 	@echo "=> Dependencies Updated"
-	@uv run pre-commit autoupdate
+	@uv run prek autoupdate
 	@echo "=> Updated Pre-commit"
 
 # =============================================================================
@@ -29,7 +29,7 @@
 	if [ "$(VENV_EXISTS)" ]; then $(MAKE) clean; fi
 	@uv sync --all-extras
 	@echo "=> Installing pre-commit hooks"
-	pre-commit install --install-hooks
+	@uv run prek install --install-hooks
 	@echo "=> Install complete! Note: If you want to re-install re-run 'make install'"
 
 .PHONY: clean
@@ -63,7 +63,7 @@
 .PHONY: lint
 lint: 												## Runs pre-commit hooks; includes ruff linting, ruff formatting, codespell
 	@echo "=> Running pre-commit process"
-	@uv run pre-commit run --all-files
+	@uv run prek run --all-files
 	@echo "=> Pre-commit complete"
 
 .PHONY: coverage

=== debian/changelog ===
python-polyfactory (3.2.0-1) unstable; urgency=medium

  * [7a9de78] New upstream version 3.2.0
  * [5b392d4] Rebuild patch queue from patch-queue branch
  * [57f9021] d/control: Bump Standards-Version to 4.7.3
    No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 29 Dec 2025 16:32:24 +0200

=== debian/control ===
--- 
+++ 
@@ -39,7 +39,7 @@
  python3-sphinx-togglebutton <!nodoc>,
  python3-sphinx-toolbox <!nodoc>,
  python3-sqlalchemy <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/litestar-org/polyfactory
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-polyfactory.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-polyfactory

=== debian/tests/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
  python3-aiosqlite,
  python3-all,
  python3-annotated-types,
+ python3-attr,
  python3-beanie,
  python3-bson,
  python3-hypothesis,
